Subject: [PATCH 1/2] gnu: Move comment in ‘make-icecat-extension’.

From: Clément Lassieur <[email-masked]>
Date: Sun, 7 Jan 2024 01:05:15 +0100

* gnu/build/icecat-extension.scm (make-icecat-extension)[arguments]: Move
comment so that next commit there is more readable.

Change-Id: I70009d1e928b3f394be25467b090ef9aab6bf1d1
---
 gnu/build/icecat-extension.scm | 38 +++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 19 deletions(-)

diff --git a/gnu/build/icecat-extension.scm b/gnu/build/icecat-extension.scm
index e6927c79df19..9013ab0fac05 100644
--- a/gnu/build/icecat-extension.scm
+++ b/gnu/build/icecat-extension.scm
@@ -42,29 +42,29 @@ (define* (make-icecat-extension pkg #:optional (pkg-output "out"))
       #:builder
       #~(begin
           (use-modules (guix build utils))
+          ;; Icecat's iterates over `search-dir` for directories.  If a
+          ;; directory's name is not a valid add-on ID, it is ignored.  See
+          ;; `DirectoryLocation::readAddons()` in XPIProvider.jsm.
+
+          ;; This directory has to be a symlink, because Icecat's
+          ;; `_readLinkFile(aFile)` calls `normalize()` only if `aFile` is a
+          ;; symlink.
+
+          ;; Normalizing is required because Icecat compares the add-on path
+          ;; against its local database to know if there is an extension
+          ;; update.  We want the add-on path to be the package store path,
+          ;; so that a path change is detected every time the package is
+          ;; updated.  See `updateExistingAddon()` in XPIDatabase.jsm, with
+          ;; our patch `icecat-compare-paths.patch`.
+
+          ;; We don't want the add-on path to be the profile store path,
+          ;; which would change too often.  We don't want the add-on path to
+          ;; be hard-coded either because it would never change (but it
+          ;; wouldn't make sense anyway).
           (let* ((addon-id #$(assq-ref (package-properties pkg) 'addon-id))
                  (moz-app-id "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}")
                  (search-dir (string-append #$output "/lib/icecat/extensions/"
                                             moz-app-id)))
-            ;; Icecat's iterates over `search-dir` for directories.  If a
-            ;; directory's name is not a valid add-on ID, it is ignored.  See
-            ;; `DirectoryLocation::readAddons()` in XPIProvider.jsm.
-
-            ;; This directory has to be a symlink, because Icecat's
-            ;; `_readLinkFile(aFile)` calls `normalize()` only if `aFile` is a
-            ;; symlink.
-
-            ;; Normalizing is required because Icecat compares the add-on path
-            ;; against its local database to know if there is an extension
-            ;; update.  We want the add-on path to be the package store path,
-            ;; so that a path change is detected every time the package is
-            ;; updated.  See `updateExistingAddon()` in XPIDatabase.jsm, with
-            ;; our patch `icecat-compare-paths.patch`.
-
-            ;; We don't want the add-on path to be the profile store path,
-            ;; which would change too often.  We don't want the add-on path to
-            ;; be hard-coded either because it would never change (but it
-            ;; wouldn't make sense anyway).
 
             (mkdir-p search-dir)
             (symlink (in-vicinity (ungexp pkg pkg-output) addon-id)
-- 
2.41.0